--
-- $Id$
--
-- Mandateren grote lijst met personen voor specifieke kostenplaatsen (zie Excel bij logcentre call)
-- Moet in 2x want een lijst met meer dan 1000 mag niet.

DEFINE thisfile = 'AADO#51708.SQL'
DEFINE dbuser   = '^AADO'
DEFINE custid   = 'AADO'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

ALTER TRIGGER RES_T_RES_RSV_ARTIKEL_B_IU
    DISABLE;

UPDATE res_rsv_artikel
   SET res_rsv_artikel_verwerkt = NULL, res_status_bo_key = 5
 WHERE TO_CHAR (res_rsv_artikel_verwerkt, 'yyyymmdd') = '20180102';

ALTER TRIGGER RES_T_RES_RSV_ARTIKEL_B_IU
    ENABLE;

DELETE FROM aaxx_bundel_catering_ref
      WHERE TO_CHAR (res_rsv_artikel_verwerkt, 'yyyymmdd') = '20180101';


------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile